Package org.apache.tiles.el

# Class TilesContextBeanELResolver

java.lang.Object
jakarta.el.ELResolver
org.apache.tiles.el.TilesContextBeanELResolver

public class TilesContextBeanELResolver extends jakarta.el.ELResolver
Resolves beans in request, session and application scope.

Since:
  2.2.1

- ## Field Summary

  ### Fields inherited from class jakarta.el.ELResolver

  `RESOLVABLE_AT_DESIGN_TIME, TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TilesContextBeanELResolver()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `collectBeanInfo(Map<String,?> map, List<FeatureDescriptor> list)`
  Collects bean infos from a map's values and filling a list.
  `protected Object`
  `findObjectByProperty(jakarta.el.ELContext context, Object property)`
  Finds an object in request, session or application scope, in this order.
  `Class<?>`
  `getCommonPropertyType(jakarta.el.ELContext context, Object base)`
  `Iterator<FeatureDescriptor>`
  `getFeatureDescriptors(jakarta.el.ELContext context, Object base)`
  `protected Object`
  `getObject(Map<String,?> map, String property)`
  Returns an object from a map in a null-safe manner.
  `Class<?>`
  `getType(jakarta.el.ELContext context, Object base, Object property)`
  `Object`
  `getValue(jakarta.el.ELContext context, Object base, Object property)`
  `boolean`
  `isReadOnly(jakarta.el.ELContext context, Object base, Object property)`
  `void`
  `setValue(jakarta.el.ELContext context, Object base, Object property, Object value)`

  ### Methods inherited from class jakarta.el.ELResolver

  `convertToType, invoke`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TilesContextBeanELResolver

    public TilesContextBeanELResolver()

- ## Method Details

  - ### getCommonPropertyType

    public Class<?> getCommonPropertyType(jakarta.el.ELContext context, Object base)
    Specified by:
      `getCommonPropertyType` in class `jakarta.el.ELResolver`

  - ### getFeatureDescriptors

    public Iterator<FeatureDescriptor> getFeatureDescriptors(jakarta.el.ELContext context, Object base)
    Overrides:
      `getFeatureDescriptors` in class `jakarta.el.ELResolver`

  - ### getType

    public Class<?> getType(jakarta.el.ELContext context, Object base, Object property)
    Specified by:
      `getType` in class `jakarta.el.ELResolver`

  - ### getValue

    public Object getValue(jakarta.el.ELContext context, Object base, Object property)
    Specified by:
      `getValue` in class `jakarta.el.ELResolver`

  - ### isReadOnly

    public boolean isReadOnly(jakarta.el.ELContext context, Object base, Object property)
    Specified by:
      `isReadOnly` in class `jakarta.el.ELResolver`

  - ### setValue

    public void setValue(jakarta.el.ELContext context, Object base, Object property, Object value)
    Specified by:
      `setValue` in class `jakarta.el.ELResolver`

  - ### collectBeanInfo

    protected void collectBeanInfo(Map<String,?> map, List<FeatureDescriptor> list)
    Collects bean infos from a map's values and filling a list.
    Parameters:
      `map` - The map containing the bean to be inspected.
      `list` - The list to fill.
    Since:
      2.2.1

  - ### findObjectByProperty

    protected Object findObjectByProperty(jakarta.el.ELContext context, Object property)
    Finds an object in request, session or application scope, in this order.
    Parameters:
      `context` - The context to use.
      `property` - The property used as an attribute name.
    Returns:
      The found bean, if it exists, or `null` otherwise.
    Since:
      2.2.1

  - ### getObject

    protected Object getObject(Map<String,?> map, String property)
    Returns an object from a map in a null-safe manner.
    Parameters:
      `map` - The map to use.
      `property` - The property to use as a key.
    Returns:
      The object, if present, or `null` otherwise.
    Since:
      2.2.1